package com.ai.da.service;

import com.ai.da.mapper.primary.entity.UserFollow;
import com.ai.da.model.dto.GetFollowListDTO;
import com.ai.da.model.vo.AccountFollowVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface UserFollowService extends IService<UserFollow> {

    Long getFollowerCount(Long accountId);

    List<AccountFollowVO> getFollowerList(GetFollowListDTO getFollowListDTO);

    Long getFolloweeCount(Long accountId);

    List<AccountFollowVO> getFolloweeList(GetFollowListDTO getFollowListDTO);

    Integer getIfFollowed(Long followeeId, Long followerId);

    List<Long> getFolloweeList(Long accountId);

}
